Update SQL draft version

Modifying the SQL content saved in the draft version will not execute the SQL. The finalized version cannot be modified.

POST https://moi.matrixorigin.cn/newmoi/workbook/version/update

Preparation before calling

Prepare your personal access token, workspace ID, SQL save record ID, and draft version ID with update permissions. $AI_STUDIO_API_KEY is the personal access token used as the value of the X-API-Key request header; $WORKSPACE_ID is the target workspace ID used as the value of the X-Workspace-ID request header. You can first View saved SQL version to confirm the version status.

$WORKBOOK_ID in the example below is the ID of the SQL saved record and $VERSION_ID is the version ID with status draft.

Request body

Replace caller-specific values in the example with actual values.

workbook_idstringRequired
The ID of the SQL saved record.
version_idstringRequired
The version ID of the SQL save record with status `draft`.
sql_contentstring
The SQL content to be saved.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/workbook/version/update" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{
    \"workbook_id\": \"$WORKBOOK_ID\",
    \"version_id\": \"$VERSION_ID\",
    \"sql_content\": \"SELECT 1\"
  }"

Successful response

data is empty on success. You can then View the saved SQL version content to confirm the saved SQL content.

{
  "code": 200,
  "data": null
}

The response fields are as follows.

Field

Type

Description

data

null

Fixed to null when the update is successful.

Error response

codeinteger or string
Error code or status.
messagestring
Error message.

Error response example

{
  "code": 404,
  "message": "SQL 工作簿或版本不存在"
}

Follow-up operations

Use the same resource identifier View saved SQL version content to confirm the update result.

Last updated on